GuideLab API

Get a single patient by ID

Retrieve a patient's details. Labs can access patients from partnered clinics (subject to lab access and share-all-patients settings). Anonymized patients return masked data for labs. Clinics can only access their own patients.

GET
/patients/{id}

Retrieve a patient's details. Labs can access patients from partnered clinics (subject to lab access and share-all-patients settings). Anonymized patients return masked data for labs. Clinics can only access their own patients.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Patient ID

Response Body

application/json

curl -X GET "https://example.com/patients/550e8400-e29b-41d4-a716-446655440000"
{  "patient": {    "id": "string",    "clinicId": "string",    "firstName": "string",    "lastName": "string",    "gender": "string",    "dateOfBirth": "string",    "phone": "string",    "email": "string",    "externalId": "string",    "notes": "string",    "clinicName": "string",    "fullName": "string",    "patientCode": "string",    "isAnonymized": true  }}
Empty
Empty
Empty
Empty